#!/bin/bash

# Step1: generate training data
all_langs=(en ar bn de es fr hi id it ja ko pt sw yo zh)

cd data
python convert_mmlu_onlyletter.py

for SEED in 0; do
	# for ((i=0; i<${#all_langs[@]}-1; i++)); do
	for ((i=0; i<1; i++)); do
		for ((j=i+1; j<${#all_langs[@]}; j++)); do
			echo "Seed" $SEED "Generating training split with random completion for: " ${all_langs[$i]} ${all_langs[$j]}
			python mmmlu.py --langs ${all_langs[$i]} ${all_langs[$j]} --seed $SEED
		done
	done
done
cd ..